Subject: Re: [Bitcoin-development] Fwd: [BIP 15] Aliases

From: "Luke-Jr" <[email-masked]>
Date: Tue, 13 Dec 2011 10:47:42 -0500

On Tuesday, December 13, 2011 8:06:15 AM Gavin Andresen wrote:
> I agree with Mike Hearn and Christian Decker-- paying to
> [email-masked]' should become, behind the scenes, a HTTPS query to
> https://foo.com/something. If you just want to (say) donate to
> eff.org, then paying to [email-masked]' aught to work nicely.

Seems like introducing a gaping security risk to me.

> It seems to me that if it was DNS-based, the address should be
> something like 'somebody.bitcoin.foo.com'. But I think it is unlikely
> people will setup and run a custom DNS server just to support bitcoin
> payments.

Could always use a fixed address and email [email-masked] a signed message.